<?php
$wiek = $_POST['wiek'] ?? null;

if ($wiek !== null) {
    if ($wiek >= 18) {
        echo "Jesteś pełnoletni.";
    } else {
        echo "Jeszcze nie teraz.";
    }
} else {
    echo '<form method="POST">';
    echo '<input name="wiek"><button>Sprawdź</button>';
    echo '</form>';
}